# std::alignment_of< _Tp > Struct Template Reference
[Type Traits]

alignment_of More...

Inheritance diagram for std::alignment_of< _Tp >:

List of all members.

## Public Types

- typedef integral_constant
  < std::size_t, __v > type
- typedef std::size_t value_type

## Static Public Attributes

- static const std::size_t value

## Detailed Description

### template<typename _Tp>
struct std::alignment_of< _Tp >

alignment_of

Definition at line 350 of file tr1_impl/type_traits.

The documentation for this struct was generated from the following file:

- tr1_impl/type_traits